package com.miaxis.order.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.order.domain.OrderInfo;
import com.miaxis.order.dto.OrderInfoDto;
import com.miaxis.order.dto.OrderInfoMonthDto;
import com.miaxis.order.vo.OrderInfoMonthVo;

import java.util.List;

/**
 * adMapper接口
 *
 * @author miaxis
 * @date 2021-08-19
 */
public interface OrderInfoMapper extends BaseMapper<OrderInfo> {
    /**
     * 查询ad列表
     *
     * @param orderInfo orderInfo
     * @return orderInfo集合
     */
    public List<OrderInfo> selectOrderInfoList(OrderInfoDto orderInfo);

    /**
     * 查询今日收益
     *
     * @param orderInfo orderInfo
     * @return orderInfo集合
     */
    public Integer selectTodayTotal(OrderInfoDto orderInfo);


    /**
     * 查询昨日收益
     *
     * @param orderInfo orderInfo
     * @return orderInfo 集合
     */
    public Integer selectYesterdayTotal(OrderInfoDto orderInfo);

    /**
     * 总收益
     *
     * @param orderInfo orderInfo
     * @return orderInfo 集合
     */
    public Integer selectTotal(OrderInfoDto orderInfo);


    /**
     * 按年查询每月收益
     * @param orderInfoMonthDto
     * @return
     */
    List<OrderInfoMonthVo> selectMonthIncome(OrderInfoMonthDto orderInfoMonthDto);
}
